/******************************************************************************
CIF_I_Comm_Connection_TCP.H

Description:

  Connection class for Nexus using TCP / reliable ordered unicast

CVS Information:

  $Source: /home/dsl/Master/cif/CIF-Comm-C++-Current/library/CIF_I_Comm_Connection_TCP.H,v $
  $Date: 1998/09/28 20:16:27 $
  $Revision: 1.4 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

#if !defined(CIF_INCLUDE_I_COMM_CONNECTION_TCP)
#define CIF_INCLUDE_I_COMM_CONNECTION_TCP 1

/******************************************************************************
			     Include header files
******************************************************************************/
#include "CIF_I_Comm_Connection.H"


/******************************************************************************
		     Define CIF_I_Comm_Connection_TCP class
******************************************************************************/
class
CIF_I_Comm_Connection_TCP
: public CIF_I_Comm_Connection
{
    friend class CIF_I_Comm_Listener_TCP;
    
    protected: virtual
    CIF_I_Comm_Connection::Connection_Flow_Mask
    open_Connection(
	ARG_IN const char *			url,
	ARG_INMOD
	CIF_I_Comm_Endpoint::Properties &	ep_properties,
	ARG_IN const CIF_Toolkit_Timeout &	timeout);

    protected: virtual
    CIF_I_Comm_Connection::Connection_Flow_Mask
    open_Connection(
	ARG_INOUT globus_nexus_buffer_t &	nx_buf,
	ARG_INMOD
	CIF_I_Comm_Endpoint::Properties &	ep_properties,
	ARG_IN const CIF_Toolkit_Timeout &	timeout);
};

#endif /* CIF_INCLUDE_I_COMM_CONNECTION_TCP */
