/******************************************************************************
CIF_I_Comm_Listener_UDP.C

Description:

  Implementation of the CIF_Comm Listener class for UDP

CVS Information:

  $Source: /home/dsl/Master/cif/CIF-Comm-C++-Current/library/CIF_I_Comm_Listener_UDP.C,v $
  $Date: 1998/09/25 15:08:44 $
  $Revision: 1.3 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

/******************************************************************************
			     Include header files
******************************************************************************/
#include "CIF_I_Comm_Listener_UDP.H"
#include "CIF_I_Comm_Connection_UDP.H"


/******************************************************************************
		     Define CIF_I_Comm_Listener_UDP methods
******************************************************************************/

CIF_Comm_Connection *
CIF_I_Comm_Listener_UDP::open_Connection(
    nexus_buffer_t &				buffer,
    ARG_IN const
    CIF_Comm_Connection::Properties &		properties,
    ARG_IN const CIF_Toolkit_Timeout &		timeout)
{
    CIF_I_Comm_Connection_UDP *			conn;

    conn = new CIF_I_Comm_Connection_UDP;
    if (conn->open(buffer, properties, timeout) == false)
    {
	delete conn;
	return (CIF_Comm_Connection *) CIF_NULL;
    }

    return (CIF_Comm_Connection *) conn;
}


char *
CIF_I_Comm_Listener_UDP::get_URL_Scheme()
{
    return CIF_COMM_PROTOCOL_UDP_STR;
}

