/******************************************************************************
Description:

  Top level CIF class definition

CVS Information:

  $Source: /home/dsl/Master/cif/CIF-Comm-C++-Current/library/CIF_Toolkit.C,v $
  $Date: 1998/09/28 20:16:37 $
  $Revision: 1.3 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

#include "CIF_Toolkit.H"
#include "globus_common.h"

globus_module_descriptor_t
CIF_Toolkit::l_module_descriptor =
{
    "CIF_Toolkit",
    CIF_Toolkit::l_activate,
    CIF_Toolkit::l_deactivate,
    GLOBUS_NULL
};


CIF_Bool
CIF_Toolkit::activate()
{
    int						rc;
    
    rc = globus_module_activate(&l_module_descriptor);
    return (rc == GLOBUS_SUCCESS) ? true : false;
}


CIF_Bool
CIF_Toolkit::deactivate()
{
    int						rc;
    
    rc = globus_module_deactivate(&l_module_descriptor);
    return (rc == GLOBUS_SUCCESS) ? true : false;
}


void
CIF_Toolkit::poll()
{
    globus_poll();
}


int
CIF_Toolkit::l_activate()
{
    if (globus_module_activate(GLOBUS_COMMON_MODULE) != GLOBUS_SUCCESS)
    {
	return GLOBUS_FAILURE;
    }

    return GLOBUS_SUCCESS;
}

int
CIF_Toolkit::l_deactivate()
{
    if (globus_module_deactivate(GLOBUS_COMMON_MODULE) != GLOBUS_SUCCESS)
    {
	return GLOBUS_FAILURE;
    }

    return GLOBUS_SUCCESS;
}

