/******************************************************************************
Description:

  Top level CIF Toolkit declarations and definitions

CVS Information:

  $Source: /home/dsl/Master/cif/CIF-Comm-C++-Current/library/CIF_Toolkit.H,v $
  $Date: 1998/09/28 20:16:37 $
  $Revision: 1.2 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

#if !defined(CIF_INCLUDE_TOOLKIT)
#define CIF_INCLUDE_TOOLKIT 1

/******************************************************************************
			Include necessary header files
******************************************************************************/
#include "CIF_config.h"
#include "globus_common.h"
#include "CIF_Toolkit_defs.H"
#include "CIF_Toolkit_UUID.H"
#include "CIF_Toolkit_Object.H"
#include "CIF_Toolkit_Event.H"
#include "CIF_Toolkit_Timeout.H"
#include "CIF_Toolkit_Mutex.H"
#include "CIF_Toolkit_Cond.H"
#include "CIF_Toolkit_Monitor.H"


/******************************************************************************
			  Define top level CIF class
******************************************************************************/
class CIF_Toolkit
: public CIF_Toolkit_Object
{
    public: static
    CIF_Bool
    activate();

    public: static
    void
    poll();
    
    public: static
    CIF_Bool
    deactivate();

    private: static
    int
    l_activate();

    private: static
    int
    l_deactivate();

    private:
    static
    globus_module_descriptor_t			l_module_descriptor;
};

#endif /* CIF_INCLUDE_TOOLKIT */
